package com.rjconsultores.ventaboletos.enums;

public enum EAmbienteContingencia {

	PRODUCAO(1, "Produção"),
	HOMOLOGACAO(2, "Homologação");
	
	private Integer id;
	private String descricao;
	
	private EAmbienteContingencia(Integer id, String descricao) {
		this.id = id;
		this.descricao = descricao;
	}

	public Integer getId() {
		return id;
	}

	public String getDescricao() {
		return descricao;
	}
	
	public static EAmbienteContingencia getAmbienteContingencia(Integer id) {
		for (EAmbienteContingencia ambiente : EAmbienteContingencia.values()) {
			if (ambiente.getId().equals(id)) {
				return ambiente;
			}
		}
		throw new IllegalArgumentException("Ambiente contigência não definido");
	}
}
